Retry failed agent workspace provisioning
curl --request POST \
--url https://pria.praxislxp.com/api/admin/institution/{id}/agent/retry \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"manifestYaml": "<string>",
"preferences": {
"cpu": 2.125,
"memoryMb": 4352,
"storageGb": 52,
"gui": true,
"vncResolution": "1280x800"
}
}
'import requests
url = "https://pria.praxislxp.com/api/admin/institution/{id}/agent/retry"
payload = {
"manifestYaml": "<string>",
"preferences": {
"cpu": 2.125,
"memoryMb": 4352,
"storageGb": 52,
"gui": True,
"vncResolution": "1280x800"
}
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifestYaml: '<string>',
preferences: {
cpu: 2.125,
memoryMb: 4352,
storageGb: 52,
gui: true,
vncResolution: '1280x800'
}
})
};
fetch('https://pria.praxislxp.com/api/admin/institution/{id}/agent/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"idempotent": true,
"agent": {
"enabled": true,
"preset": "<string>",
"manifestYaml": "<string>",
"manifestDigest": "<string>",
"preferences": {
"cpu": 2.125,
"memoryMb": 4352,
"storageGb": 52,
"gui": true,
"vncResolution": "1280x800"
},
"requestedBy": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"provisionedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
}Admin Institutions
Retry failed agent workspace provisioning
Re-runs provisioning only when the current agent status is failed; other lifecycle states are idempotent no-ops.
POST
/
api
/
admin
/
institution
/
{id}
/
agent
/
retry
Retry failed agent workspace provisioning
Authorizations
JWT token passed in x-access-token header
Path Parameters
Institution ID
Body
application/json
Was this page helpful?
⌘I